%global		majorver	0.4
%define		mainver		0.4.0.2
%undefine		betaver		

%define		fedoraver	4


Name:		catfish
Version:	%{mainver}
Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betaver}%{?dist}
Summary:	A handy file search tool

Group:		Applications/File
License:	GPLv2+
URL:		https://launchpad.net/catfish-search
Source0:	https://launchpad.net/catfish-search/%{majorver}/%{mainver}/+download/%{name}-%{mainver}%{?betaver}.tar.bz2
# Don't use missing gtk.STOCK_INFO (bug 753512)
### TODO:
# the consuming code has moved from pygtk to gi.repository in the
# pygobject3 package.  Review if this patch is still necessary
Patch0:		catfish-0.4.0-stock-info.patch
# Fix GError module error on launch (bug 964356)
Patch1:		catfish-0.4.0.2-GError.patch
# Fix infinite loop when searching words with asterisk (bug 964356)
Patch2:		catfish-0.4.0.2-loopiter.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
# python related
Requires:	pygobject3
Requires:	pyxdg
Requires:	dbus-python
# search engine
Requires:	%{_bindir}/locate
Requires:	%{_bindir}/find
# icon
# Requires:	redhat-artwork

# Upstream rename
Obsoletes:	search4files <= 0.2a
Provides:	search4files = %{version}-%{release}

%description
A handy file search tool using different backends which is 
configurable via the command line.

This program acts as a frontend for different file search engines. 
The interface is intentionally lightweight and simple. But it takes 
configuration options from the command line.

%package	engines
Summary:	Metapackage to install all supported engines
Group:		Applications/File
License:	GPLv2+

Requires:	%{name} = %{version}-%{release}
#Requires:	beagle
Requires:	doodle
%if 0%{?fedora} >= 8
#Requires:	pinot
%endif
Requires:	strigi
Requires:	tracker

%description	engines
This is a metapackage to install all engines supported by %{name}.

%prep
%setup -q -n %{name}-%{mainver}%{?betaver}
%patch0 -p1 -b .info
%patch1 -p1 -b .GError
%patch2 -p1 -b .loopiter
# Fix up permissions...
%{__chmod} 0644 \
	po/* \
	[A-Z]* \
	catfish*

%build
# Some configulation changes
#
# msgfmt is fixed.
# Linking is still broken...
%{__sed} -i.misc \
	-e '/svg/s|install|install -m 644|' \
	-e '/glade/s|install| install -m 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in

%{__sed} -i.byte \
	-e 's|pyc|py|' \
	%{name}.in

%{__sed} -i.engine \
	-e 's|Nautilus|nautilus|' \
	%{name}.py

# This configure accepts only the option --prefix
# and does not accept --libdir= option
./configure --prefix=%{_prefix}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--delete-original \
%if 0%{?fedora} < 19
	--vendor fedora \
%endif
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove all unnecessary documentation
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/doc/

# and.. manually link..
%{__ln_s} -f ../icons/hicolor/scalable/apps/%{name}.svg \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/
%{__ln_s} -f ../locale/ \
	  $RPM_BUILD_ROOT%{_datadir}/%{name}/

# Just use simple wrapper script to fix CVE-2014-2093 through 
# CVE-2014-2096, bug 1069398
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/bash

exec python2 %{_datadir}/%{name}/%{name}.py "\$@"
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO

%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%files engines
%defattr(-,root,root,-)

%changelog
* Sun Mar 02 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.4.0.2-4
- Fix insecure loading of script at startup (CVE-2014-2093 through 
  CVE-2014-2096, bug 1069398)

* Mon Jul  1 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.4.0.2-3
- Fix GError module error on launch (bug 964356)
- Fix infinite loop when searching words with asterisk (bug 964356)

* Sat Feb 23 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.4.0.2-2.1
- Update stock_info patch so that build completes

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0.2-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Feb  9 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.4.0.2-2
- F-19: kill vendorization of desktop file (fpc#247)

* Fri Oct 05 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0.2-1
- Update to 0.4.02 (GTK3 port)
- Require pygobject3 instead of pygtk2-libglade

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr  4 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.3.2-5
- Remove pinot dependency, seems no longer available

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.3.2-4
- Don't use missing gtk.STOCK_INFO (bug 753512)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 23 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against python 2.7

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.2-3
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.2-2
- GTK icon cache updating script update

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com>
- Rebuild for Python 2.6

* Tue Oct 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3.2-1
- 0.3.2

* Thu Oct 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-1
- 0.3

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.3.c
- Remove beagle dependency for now because beagle is not
  available on ppc64 (although catfish itself is noarch :( )

* Wed Oct  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.2.c
- License update
- Create sub-metapackage to install all supported search engines
- Remove redhat-artwork dependency

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.c
- 0.3c

* Tue May 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.b
- 0.3b

* Wed Apr  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.a
- 0.3a

* Wed Feb 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.2-1
- 0.2.2

* Sun Feb 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.1-1
- 0.2.1

* Wed Feb 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2stable-1
- 0.2

* Wed Jan 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2d-1
- 0.2d

* Mon Jan 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2c-1
- 0.2c

* Sun Jan 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2b-1
- Upstream rename: search4files -> catfish
- Remove the dependencies for beagle, nautilus,
  replace with redhat-artwork

* Mon Jan  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2a-1
- 0.2a

* Sat Dec 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Require pyxdg again (fc7)

* Wed Dec 20 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1e-1
- 0.1e

* Thu Dec 14 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1d-1
- 0.1d
- Disable pyxdg support on devel for now.

* Sat Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-2
- Fix type typo

* Fri Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-1
- Initial packaging to import to Fedora Extras.
